package com.admost.admost_flutter_plugin;

import android.app.Activity;
import android.content.Context;
import android.util.Log;

import java.util.HashMap;

import admost.sdk.base.AdMostLog;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

public class AdmostBannerFactory extends PlatformViewFactory {
    private final BinaryMessenger messenger;
    private final Activity activity;

    public AdmostBannerFactory(BinaryMessenger messenger, Activity activity) {
        super(StandardMessageCodec.INSTANCE);
        this.messenger = messenger;
        this.activity = activity;
    }

    @Override
    public PlatformView create(Context context, int id, Object o) {
        HashMap args = (HashMap) o;
        if(args.get("isNativeAd").toString().equals("true")){
            return new AdmostBanner(activity,messenger,id,args, AdmostFLTNativeAdBinder.getInstance().getBinder());
        }
        else{
            return new AdmostBanner(activity, messenger, id, (HashMap) o);
        }
    }
}