import 'package:flutter/material.dart';

class AdmostBannerSize {
  final int width, height;
  final String? name;

  static const AdmostBannerSize BANNER =
      AdmostBannerSize(width: 320, height: 50, name: 'BANNER');
  static const AdmostBannerSize MEDIUM_RECTANGLE =
      AdmostBannerSize(width: 300, height: 250, name: 'MEDIUM_RECTANGLE');
  static const AdmostBannerSize LEADERBOARD =
      AdmostBannerSize(width: 320, height: 90, name: 'LEADERBOARD');
  static const AdmostBannerSize CUSTOM_SIZE =
    AdmostBannerSize(width: 320, height: 120, name: 'CUSTOM_SIZE');

  const AdmostBannerSize({
    required this.width,
    required this.height,
    this.name,
  });

  Map<String, dynamic> get toMap => <String, dynamic>{
        'width': width,
        'height': height,
        'name': name,
      };
}
